all repos — nixfiles @ 48bc8200913fe8df1d15ad14f05264d1c7152411

System and user configuration, managed by nix and home-manager

Add script to ease TabNine updates

Alan Pearce
commit

48bc8200913fe8df1d15ad14f05264d1c7152411

parent

31ea0c2f761b0fcd6d22204e18f784ca19c1a4ba

1 file changed, 16 insertions(+), 0 deletions(-)

jump to
A update-tabnine.sh
@@ -0,0 +1,16 @@
+#!/bin/sh + +function prefetch_target () { + nix-prefetch-url --type sha256 https://update.tabnine.com/$2/$1/TabNine 2> /dev/null +} + +if [ -z "$1" ]; then + echo "Usage: $0 <version>" + exit 1 +fi + +echo " +sha256 = if stdenv.isDarwin then +\"$(prefetch_target x86_64-apple-darwin $1)\" +else +\"$(prefetch_target x86_64-unknown-linux-musl $1)\";"